Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
e-invoices
/
{year}
/
{month}
/
purchases
Poll Job
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "data": { "@entity": "in.co.sandbox.gst.compliance.e-invoice.list.job", "created_at": 1763446641000, "e-invoice_list_url": "https://in-co-sandbox-gst-compliance-e-invoice-list-test.s3.ap-south-1.amazonaws.com/29AAACQ3770E000/2024/10/a12ba94e-800e-4fde-a984-1c598196e7eb/e-invoice_list.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20241114T130428Z&X-Amz-SignedHeaders=host&X-Amz-Expires=86399&X-Amz-Credential=EXAMPLEACCESSKEY%2F20241114%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Signature=EXAMPLE_SIGNATURE", "job_id": "412a22ee-2096-4ead-b06b-55143f560903", "month": "10", "recipient_gstin": "29AAACQ3770E000", "status": "succeeded", "supply_type": "B2B", "updated_at": 1763446641000, "year": "2024" }, "timestamp": 1763446641000, "transaction_id": "e7512543-c7c8-40b3-a5c6-10a779490ec6" }

Headers

Authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the Authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
Example:

"{{year}}"

month
string
required
Example:

"{{month}}"

Query Parameters

job_id
string
required

Job id

Example:

"{{job_id}}"

Response

200 - application/json

200 Job succeeded / EINV30113 Invalid Return Period

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"e7512543-c7c8-40b3-a5c6-10a779490ec6"